.user {
    &__container {
        display: grid;
        place-items: center;
        min-height: 100vh;
        padding: 24px;
        box-sizing: border-box;
    }

    &__content {
        width: 100%;
        box-sizing: border-box;
        max-width: 900px;
        min-height: 650px;
        display: grid;
        grid-template-columns: 60% minmax(32%, 385px);
        border-radius: 20px;
        border: 1px solid var(--smoke);
        box-sizing: content-box;
        box-shadow: var(--shadow-large);
        background-color: var(--cloud);
        overflow: hidden;
        
        @media screen and (max-width: 900px) {
            grid-template-columns: 1fr;
            min-height: unset;
        }
    }

    &__content-form {
        display: grid;
        grid-auto-flow: row;
        grid-template-rows: min-content;
        align-content: center;
        justify-items: center;
        grid-gap: 24px;
        padding: 64px;

        @media screen and (max-width: 900px) {
            padding: 96px 32px;
        }

        @media screen and (max-width: 600px) {
            padding: 48px 24px;
        }
    }

    &__heading {
        color: var(--raspberry);
        font-size: 2.25rem;
    }

    &__subheading{
        color: var(--smoke);
    }

    &__external-buttons {
        margin: 8px;
        display: grid;
        grid-auto-flow: column;
        grid-gap: 16px;
    }

    &__form {
        display: grid;
        grid-auto-flow: row;
        grid-gap: 24px;
        width: 100%;
    }

    &__form-buttons {
        margin-top: 16px;
        display: grid;
        grid-gap: 16px;
    }

    &__content-image {
        background-image: url("../../images/visual.jpg");

        @media screen and (max-width: 900px) {
            display: none;
        }
    }
}
